> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/flutter-sdk/admin/add-edit-a-section.md).

# Add/Edit a section

You can add a section to a block with the function **`MBAdmin.shared.addSectionToBlock()`**`.`

To call this function you need to create an array of elements confrom to **`MBUploadableElementProtocol`**.

To create it use the **`MBUploadableElementsFactory`** that is created.

A **`MBUploadableElementsFactory`** is allocated with a locale identifier and creates object with this locale identifier

{% hint style="info" %}
All the integrity controls of the server are still present in the APIs, and you will find the description of the error in the object passed to the failure block.&#x20;
{% endhint %}

Below is an example code to create a section.

```dart
MBUploadableElementsFactory factory = MBUploadableElementsFactory('it');
List<MBUploadableElement> elements = [
  factory.createTextElement('name', 'text'),
  factory.createImageElement(
    'image',
    '/path/to/image',
    MediaType.parse('img/jpg'),
  )
];
MBAdmin.shared.addSectionToBlock(BLOCK_ID, elements);
```

{% hint style="info" %}
To create images or files you'll need to specify a `MediaType`, and you will need to include the `http_parser` package
{% endhint %}

With a `MBUploadableElementsFactory` you can create:

* an array or a single of image with `MBUploadableImagesElement`
* a text with `MBUploadableTextElement`
* a checkbox element with `MBUploadableCheckboxElement`

The edit function is very similar to the add.&#x20;

{% hint style="info" %}
It will modify only the fields passed and the other elements will remain untouched.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/flutter-sdk/admin/add-edit-a-section.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
